# Sources from upstream git:
#
# git clone git://git.xfce.org/apps/gigolo
# cd gigolo
# git archive --format=tar --prefix=gigolo-20121225/ master | xz > ../gigolo-20121225.tar.xz
#

%define gitdate 20121225
%define rel	3

Summary:	Frontend for GIO/GVFS
Name:		gigolo
Version:	0.4.1
Release:	%mkrel 4.git%{gitdate}.%{rel}
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		http://www.uvena.de/gigolo/
#Source0:	http://files.uvena.de/gigolo/%{name}-%{version}.tar.bz2
Source0:	%{name}-%{gitdate}.tar.xz
BuildRequires:	intltool
BuildRequires:	gtk+2-devel
BuildRequires:	xfce4-dev-tools
Suggests:	gvfs-obexftp
Suggests:	gvfs-smb
%description
Gigolo is a frontend to easily manage connections to remote filesystems 
using GIO/GVFS. It allows you to quickly connect/mount a remote filesystem 
and manage bookmarks of such.

%prep
%setup -qn %{name}-%{gitdate}

%build
NOCONFIGURE=yes xdt-autogen
%configure2_5x
%make

%install
%makeinstall_std

#handle docs in files section
rm -rf %{_docdir}/%{name}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README ChangeLog TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/*


%changelog

* Sat Mar 30 2013 bersuit <bersuit> 0.4.1-4.git20121225.3.mga3
+ Revision: 406543
- Added Suggests gvfs-smb and gvfs-obexftp to fix bug 8530

* Sat Jan 12 2013 umeabot <umeabot> 0.4.1-4.git20121225.2.mga3
+ Revision: 351554
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 wally <wally> 0.4.1-4.git20121225.1.mga3
+ Revision: 334889
- use latest git snapshot
- switch from waf to autotools
- clean .spec a bit

* Thu Mar 17 2011 steletch <steletch> 0.4.1-3.mga1
+ Revision: 73449
- Clean spec file
- imported package gigolo

